Subject: Re: Proposal: explain MEGACO protocol RFC status explicitly

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 29 Mar 2000 18:14:50 -0500

Other people have addressed the major content of this note.  I just want to
correct an incorrect impression you may have of the role of the ITU-T
Implementor's Guide: it is strictly for clarification and reporting of
errors, not for adding of new features.

That said, I think your idea of including a reference to the possibility of
an Implementor's Guide in the RFC is a good one.  This also raises a process
issue: we have to make sure the contents of the IG can be influenced by the
IETF and are made available to it.

> -----Original Message-----
> From: Pekka Pessi [SMTP:[email-masked]]
> Sent: Tuesday, March 21, 2000 8:35 AM
> To:   [email-masked]
> Subject:      Proposal: explain MEGACO protocol RFC status explicitly
>
>         Hello all,
>
        [[TomT]]  ...
                So, the finalized ITU-T specification
>         actually consists of a recommendation document together with an
>         Implementor's Guide correcting the errors and omissions in the
>         recommendation document. IG may contain major changes that are
>         incompatible with the published recommendation document.  Also,
> when
>         referring to a ITU-T specification, like H.323v2, people are
>         actually referring to the recommendation together with the
>         respective implementor's guide.
>
>         The ITU-T process is (or at least should be) familiar to the
>         developers using ITU-T recommendations. However, in Internet
>         community people are expecting that the RFC is not just a snapshot
>         of an on-going work. They don't anticipate that there is a
> companion
>         document possibly changing the base protocol in every turn.
>
> Proposal
>
>         I propose that the MEGACO RFC should contain a paragraph
> explaining
>         the status of the text, ie. that the protocol will be changed by
> an
>         Implementors' Guide published soon. The MEGACO RFC should also
>         recommend that any reference to it must also be accompanied with a
>         note explaining the status of the RFC, and a reference to the
>         Implementors' Guide.
>
>         Best regards,
>                                         Pekka Pesi

---

From: Henry Sinnreich <[email-masked]>
Date: Wed, 29 Mar 2000 21:16:28 -0600

RE: Proposal: explain MEGACO protocol RFC status explicitlyI hope we don't
portray an ITU implementer's guide on how to implement Internet
technologies. Why do you keep pushing ITU concepts in an IETF WG?

Right or wrong, we have different network philosophies and the intellectual
competition is good. Intellectual 'harmonization' is bad IMHO.

Henry
  -----Original Message-----
  From: Media Gateway Control (megaco)
[mailto:[email-masked]]On Behalf Of Tom-PT Taylor
  Sent: Wednesday, March 29, 2000 5:15 PM
  To: [email-masked]
  Subject: Re: Proposal: explain MEGACO protocol RFC status explicitly

  Other people have addressed the major content of this note.  I just want
to correct an incorrect impression you may have of the role of the ITU-T
Implementor's Guide: it is strictly for clarification and reporting of
errors, not for adding of new features.

  That said, I think your idea of including a reference to the possibility
of an Implementor's Guide in the RFC is a good one.  This also raises a
process issue: we have to make sure the contents of the IG can be influenced
by the IETF and are made available to it.

    -----Original Message-----
    From:   Pekka Pessi [SMTP:[email-masked]]
    Sent:   Tuesday, March 21, 2000 8:35 AM
    To:     [email-masked]
    Subject:        Proposal: explain MEGACO protocol RFC status explicitly

            Hello all,

    [[TomT]]  ...

            community people are expecting that the RFC is not just a
snapshot

    Proposal

            recommend that any reference to it must also be accompanied with
a

            Best regards,
                                            Pekka Pesi